_USB1Interrupt:
;PIC Clicker CDC Win.c,26 :: 		void USB1Interrupt() iv IVT_USB_1 ilevel 7 ics ICS_SRS{
RDPGPR	SP, SP
ADDIU	SP, SP, -12
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;PIC Clicker CDC Win.c,28 :: 		USBDev_IntHandler();
JAL	_USBDev_IntHandler+0
NOP	
;PIC Clicker CDC Win.c,29 :: 		}
L_end_USB1Interrupt:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
ADDIU	SP, SP, 12
WRPGPR	SP, SP
ERET	
; end of _USB1Interrupt
_USBDev_CDCParamsChanged:
;PIC Clicker CDC Win.c,31 :: 		void USBDev_CDCParamsChanged(){
;PIC Clicker CDC Win.c,33 :: 		}
L_end_USBDev_CDCParamsChanged:
JR	RA
NOP	
; end of _USBDev_CDCParamsChanged
_USBDev_CDCDataReceived:
;PIC Clicker CDC Win.c,38 :: 		void USBDev_CDCDataReceived(uint16_t size){
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;PIC Clicker CDC Win.c,40 :: 		USBDev_CDCSetReceiveBuffer(buffer);
SW	R25, 4(SP)
SW	R26, 8(SP)
SH	R25, 12(SP)
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_USBDev_CDCSetReceiveBuffer+0
NOP	
LHU	R25, 12(SP)
;PIC Clicker CDC Win.c,42 :: 		USBDev_CDCSendData(buffer, size);
ANDI	R26, R25, 65535
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_USBDev_CDCSendData+0
NOP	
;PIC Clicker CDC Win.c,43 :: 		}
L_end_USBDev_CDCDataReceived:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _USBDev_CDCDataReceived
_main:
;PIC Clicker CDC Win.c,45 :: 		void main() {
;PIC Clicker CDC Win.c,46 :: 		AD1PCFG = 0xFFFF;                        // Configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;PIC Clicker CDC Win.c,49 :: 		USBDev_CDCInit();
JAL	_USBDev_CDCInit+0
NOP	
;PIC Clicker CDC Win.c,52 :: 		USBDev_Init();
JAL	_USBDev_Init+0
NOP	
;PIC Clicker CDC Win.c,55 :: 		USBIE_bit = 1;
LUI	R2, BitMask(USBIE_bit+0)
ORI	R2, R2, BitMask(USBIE_bit+0)
_SX	8, Offset(USBIE_bit+8), 4
;PIC Clicker CDC Win.c,56 :: 		IPC11bits.USBIP = 7;
ORI	R2, R0, 7168
SH	R2, Offset(IPC11bits+8)(GP)
;PIC Clicker CDC Win.c,57 :: 		EnableInterrupts();
EI	R30
;PIC Clicker CDC Win.c,60 :: 		while(USBDev_GetDeviceState() != _USB_DEV_STATE_CONFIGURED)
L_main0:
JAL	_USBDev_GetDeviceState+0
NOP	
ANDI	R3, R2, 255
ORI	R2, R0, 16
BNE	R3, R2, L__main9
NOP	
J	L_main1
NOP	
L__main9:
;PIC Clicker CDC Win.c,61 :: 		;
J	L_main0
NOP	
L_main1:
;PIC Clicker CDC Win.c,64 :: 		USBDev_CDCSetReceiveBuffer(buffer);
LUI	R25, #hi_addr(_buffer+0)
ORI	R25, R25, #lo_addr(_buffer+0)
JAL	_USBDev_CDCSetReceiveBuffer+0
NOP	
;PIC Clicker CDC Win.c,67 :: 		while(1){
L_main2:
;PIC Clicker CDC Win.c,69 :: 		}
J	L_main2
NOP	
;PIC Clicker CDC Win.c,71 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
